Skip to main content
GET
/
v2
/
ai-agents
/
{ai_agent_id}
/
custom-tools
/
{tool_id}
Get custom tool
curl --request GET \
  --url https://api.example.com/v2/ai-agents/{ai_agent_id}/custom-tools/{tool_id}
import requests

url = "https://api.example.com/v2/ai-agents/{ai_agent_id}/custom-tools/{tool_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/v2/ai-agents/{ai_agent_id}/custom-tools/{tool_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "openai_tool": {
    "name": "<string>",
    "description": "<string>",
    "parameters": {
      "properties": {},
      "type": "object",
      "required": [
        "<string>"
      ],
      "additionalProperties": false
    }
  },
  "additional_tool_info": {
    "api": {
      "endpoint": "https://api.example.com/test",
      "headers": {
        "Content-Type": "application/json"
      },
      "method": "POST",
      "parameters": {
        "fixed_params": {
          "api_key": {
            "description": "API key for authentication",
            "value": "test-api-key"
          }
        },
        "runtime_params": {}
      }
    },
    "tool_type": "custom"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "tool_id": "<string>",
  "tool_start_message": "<string>",
  "tool_delayed_message": "<string>",
  "tool_complete_message": "<string>",
  "tool_failed_message": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Path Parameters

ai_agent_id
string
required
tool_id
string
required

Response

Successful Response

openai_tool
OpenAIFormatFunctionDefinition · object
required

OpenAI function definition containing the tool's interface specification

Example:
{
"description": "Get the delivery date for a customer's order",
"name": "get_delivery_date",
"parameters": {
"additionalProperties": false,
"properties": {
"order_id": {
"description": "The customer's order ID",
"type": "string"
}
},
"required": ["order_id"],
"type": "object"
}
}
additional_tool_info
AdditionalCustomToolInfo · object
required

Complete configuration for the custom tool including API details

created_at
string<date-time>
required

Timestamp indicating when this custom tool was created

updated_at
string<date-time>
required

Timestamp indicating when this custom tool was last modified

tool_id
string

Unique identifier for the custom tool

tool_start_message
string | null

Optional message to display when the tool is started

tool_delayed_message
string | null

Optional message to display when the tool is delayed

tool_complete_message
string | null

Optional message to display when the tool is completed

tool_failed_message
string | null

Optional message to display when the tool fails